summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2012-03-26 15:22:01 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2012-03-31 17:59:09 +0100
commit43d819c8901db30c359694ef83ceb123909cb298 (patch)
tree82673c7e4e060e4f9a756860212901786ee41a10 /scripts
parent299f890f6dfdf30dbfea1a11682589c151f18b77 (diff)
downloadpoky-43d819c8901db30c359694ef83ceb123909cb298.tar.gz
poky-43d819c8901db30c359694ef83ceb123909cb298.tar.bz2
poky-43d819c8901db30c359694ef83ceb123909cb298.zip
scripts/bitbake: allow switching between build directories
The recent addition of the check to ensure the user was in their build directory disabled the ability to switch between build directories without re-running the build environment setup script. We can rely upon checking for conf/bblayers.conf instead, so use this check. This does allow BUILDDIR (which is normally set by the environment script) to be unset; however if it is set then it is assumed to be the correct build directory and will be used in the error message that is shown when we can't find conf/bblayers.conf. (From OE-Core rev: 769384decb095fb3c49eb13b8f7f69c978d0bcba) Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/bitbake15
1 files changed, 10 insertions, 5 deletions
diff --git a/scripts/bitbake b/scripts/bitbake
index 7a59c6f52a..0431d9531a 100755
--- a/scripts/bitbake
+++ b/scripts/bitbake
@@ -37,6 +37,16 @@ if [ "$py_v26_check" != "True" ]; then
exit 1
fi
+if [ ! -e conf/bblayers.conf ] ; then
+ BDPRINT=""
+ [ -n "$BUILDDIR" ] && BDPRINT=": $BUILDDIR"
+ echo "Unable to find conf/bblayers.conf"
+ echo "BitBake must be run from within your build directory$BDPRINT"
+ exit 1
+elif [ -z "$BUILDDIR" ] ; then
+ BUILDDIR="`pwd`"
+fi
+
needtar="1"
TARVERSION=`tar --version | head -n 1 | cut -d ' ' -f 4`
float_test() {
@@ -47,11 +57,6 @@ float_test() {
# but earlier versions do not
float_test "$TARVERSION > 1.23" && needtar="0"
-if [ "`pwd`" != "$BUILDDIR" ] ; then
- echo "BitBake must be run from your build directory: $BUILDDIR"
- exit 1
-fi
-
buildpseudo="1"
if [ $needpseudo = "1" ]; then
if [ -e "$BUILDDIR/pseudodone" ]; then